
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>for命令的一些bug分析_DOS/BAT / iVAN</title>

    <meta name="description" content="for命令的一些bug分析_DOS/BAT 1.关于冒号:当某行内容以 : 打头时,用 for /f &quot;tokens=1* delims=:&quot; %%i in ('findstr /n .* test.txt') do echo.%%j 会把 : 过滤掉: 2.关于分号:findstr .* test.txt 可以把以分号打头的行完整显示出来,但是,用在for语句中就不能找到了,必须加上参数/n才可以 ,似乎是for语句会把以分号打头的行当作注释内容忽略掉,好象不是findstr的错:而不放在for语句中的 type.m ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">for命令的一些bug分析_DOS/BAT</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、关于冒号：当某行内容以 : 打头时，用 for /f "tokens=1* delims=:" %%i in ('findstr /n .* test.txt') do echo.%%j 会把 : <br />过滤掉；</p>
<p>　　2、关于分号：findstr .* test.txt 可以把以分号打头的行完整显示出来，但是，用在for语句中就不能找到了，必须加上参数/n才可以 <br />，似乎是for语句会把以分号打头的行当作注释内容忽略掉，好象不是findstr的错；而不放在for语句中的 type、more和findstr都是可以的；</p>
<p>　　解决问题1和问题2的方案有：</p>
<p>稍微复杂一点的：</p>
<p>@echo off <br />:: 不会忽略空行 <br />for /f "delims=" %%i in ('findstr /n .* test.txt') do ( <br />set "str=%%i" <br />call set "str=%%str:*:=%%" <br />call echo "%%str%%" <br />) <br />pause</p>
<p>最简洁的：</p>
<p>@echo off <br />:: 此代码会忽略空行 <br />for /f "delims= eol=" %%i in (test.txt) do echo %%i <br />pause</p>
<p>　　3、在for扩展中，%%~si 表示扩充的路径只含短文件名，但是在以下的测试过程中，却发现真正的情况并非如此：</p>
<p>　　测试环境： <br />-------------------------------------------------------------------------------- <br />D:\abcdefg hijk\abcd efgh.txt <br />D:\abcdefg hijk\te st.txt</p>
<p>　　测试代码： <br />-------------------------------------------------------------------------------- <br />@echo off <br />for /f "delims=" %%i in ('dir /a /b *.txt') do echo %%~si <br />pause</p>
<p>　　测试结果： <br />-------------------------------------------------------------------------------- <br />D:\ABCDEF~1\ABCDEF~1.TXT <br />D:\ABCDEF~1\TEST~1.TXTtxt</p>
<p>　　看到测试结果的最后一条记录了吗？居然扩展到了 TEST~1.TXTtxt ！</p>
<p>　　总结了一下出错的情形，似乎是这样的：当路径中有超过一个的地方因为目录名超过11个字符而扩充到短文件名的时候，文件名+后缀名 <br />少于11个字符且带空格的文件就会发生扩展错误。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:16:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/for/" title="for">for</a>, <a href="https://www.iamivan.net/tag/bug/" title="bug">bug</a>, <a href="https://www.iamivan.net/tag/%e6%89%b9%e5%a4%84%e7%90%86/" title="批处理">批处理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>for命令的一些bug分析_DOS/BAT的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rdm0z.html" rel="bookmark">批处理 Set 命令详解 让你理解set命令第1&sol;2页&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				set,E文翻译过来就是&quot;设置&quot;的意思,相当于数学里的&quot;令&quot;. 如:set X=5,就是令X=5的意思. 语法形式: SET [variable=[string]] SET /P variable=[promptString]  SET /A expression     一.SET [variable=[string]]  示例1: @echo off  set pause  显示所有的变量的值 示例2:  @echo off  set var=我是值  echo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd08ONp.html" rel="bookmark">DOS命令初学者基础知识学习&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   DOS 基础命令 cd 改变当前目录 sys 制作DOS系统盘 copy 拷贝文件 del 删除文件 deltree 删除目录树 dir 列文件名 diskcopy 制磁盘 edit 文本编辑 format 格式化磁盘 md 建立子目录 mem 查看内存状况 type 显示文件内容 rd 删除目录 ren 改变文件名 记得多少啊,忘了就去上课看看,下面四个命令是新的,给出命令格式,你自己试试看,学电脑重要的就是摸索. cls 清屏 ［适用场合］ 屏幕上太乱了,或是屏幕上出现乱码了, 清除屏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZNPKp.html" rel="bookmark">dos命令for用法详解&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				for帮助文档 对一组文件中的每一个文件执行某个特定命令. FOR %variable IN (set) DO command [command-parameters] %variable 指定一个单一字母可替换的参数. (set) 指定一个或一组文件.可以使用通配符. command 指定对每个文件执行的命令. command-parameters 为特定命令指定参数或命令行开关. 在批处理程序中使用 FOR 命令时,指定变量请使用 %%variable 而不要用 %variable.变量名称			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE7RRp.html" rel="bookmark">Bat脚本处理ftp超强案例分析&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 公司有几百台windows服务器,每次程序更新,如果是一台台拷数据,只怕安排十个人,一天都不一定做得完,所以就必须研究个全自动更新方案来,于是就想到了FTP,做个主FTP站,在几百台客户机上启动BAT脚本,每30秒检测一次,如果主站有更新程序,就自动下载更新,几分钟内,上400台windows服务器,都可以全自动更新程序完毕,相当实用,现把当初研究BAT的脚本思路贴出来,希望对大批量运维人员一个方向.当然,批量更新服务器,每个公司有它自己的解决办法,这个BAT的方式不是最优的,可以用sh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvgjxM.html" rel="bookmark">批处理命令Start的使用介绍&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Start 启动单独的&quot;命令提示符&quot;窗口来运行指定程序或命令.如果在没有参数的情况下使用,start 将打开第二个命令提示符窗口. 语法 start [&quot;title&quot;] [/dPath] [/i] [/min] [/max] [{/separate | /shared}] [{/low | /normal | /high | /realtime | /abovenormal | belownormal}] [/wait] [/b] [FileName] [param			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2WAD4M.html" rel="bookmark">DOS的启动过程详解分析&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				电脑刚启动时,要先从某个磁盘上将一些系统程序读入内存后才能正常工作,我们将这个磁盘叫做启动盘. 通常,我们用A盘或C盘作为启动盘,在特殊情况下,硬盘的其它盘符和少数电脑的光盘也可以作启动盘.制作启动盘需要使用sys命令,可以参看后面的命令部分. DOS系统启动时,要先从启动盘中读取两个系统文件IO.SYS.MSDOS.SYS,然后在启动盘的根目录下寻找并执行 CONFIG.SYS.COMMAND.COM.AUTOEXEC.BAT三个文件.其中IO.SYS.MSDOS.SYS和 COMMAND.C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOXVxvb.html" rel="bookmark">最全的DOS命令帮助程序批处理代码&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据命令命名的txt 复制代码 代码如下: @echo off :z @cls @set /p &quot;d=输入要BAT指令:&quot; @ %d% /? &gt; %d%.txt goto z goto z 都是生成a.txt的帮助文档 复制代码 代码如下: @echo off color 0e :ks cls echo ========================== echo 欢迎使用批处理帮助程序 echo %DATE% (by:诗酒飘零) echo ==================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDw41Bp.html" rel="bookmark">批处理命令教学之if语句&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				if用于条件判断,适用于以下情形: 1.判断驱动器.文件或文件夹是否存在,用 if exist 语句: 2.判断某两个字符串是否相等,用 if &quot;字符串1&quot;==&quot;字符串2&quot; 语句: 3.判断某两个数值是否相等,用 if 数值1 equ 数值2 语句: 4.判断某个变量是否已经被赋值,用 if defined str 语句: if语句的完整格式是这样的:if 条件表达式 (语句1) else (语句2),它的含义是:如果条件表达式成立,那么,就执行语句1,否则,将执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwgv4mz.html" rel="bookmark">DOS批处理中&percnt;cd&percnt;和&percnt;~dp0的异同分析&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在DOS的批处理中,有时候需要知道当前的路径.在DOS中,有两个环境变量可以跟当前路径有关,一个是%cd%, 一个是%~dp0. 这两个变量的用法和代表的内容是不同的. 1. %cd% 可以用在批处理文件中,也可以用在命令行中:展开后,是驱动器盘符:+当前目录,如在dos窗口中进入c:\dir目录下面, 输入:echo %cd% ,则显示为:c:\dir . %cd%的内容是可以被改变的,其内容为命令的执行路径或批处理文件的执行路径. 2.%~dp0只可以用在批处理文件中,它是由它所在的批处理文			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLKYYb.html" rel="bookmark" class="title">qt实现倒计时示例</a>
					<div>
						  这篇文章主要介绍了qt实现倒计时示例,需要的朋友可以参考下 用Qt写的倒计时程序,可根据指定时间作不同用途.创建Qt的简单GUI工程,修改main.cpp即可. 复制代码 代码如下: #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24WeVp.html" rel="bookmark" class="title">四个不为人知的PHOTOSHOP高效操作秘籍</a>
					<div>
						  1.自定义快捷键 玩 ps 就好像玩 mmo 游戏,通过键盘释放技能的人 kpm 明显高于在屏幕上点点点的人.Photoshop 提供了非常丰富的快捷键并支持自定义,记住常用的快捷键可以节省大量的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRkW5p.html" rel="bookmark" class="title">解32位Windows 7能够用上4G内存的谎言</a>
					<div>
						  这些天在很多网站论坛看多有人说32位的Windows 7能够识别出4G的内存,有人跟帖说照片是PS过的,有人说不能用4G内存是微软的错,小弟我看得觉得挺有意思的,但是直觉告诉我这是不可能的事情.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8L50p.html" rel="bookmark" class="title">同花顺键盘精灵无法使用或程序停止运行</a>
					<div>
						  360杀毒软件默认勾选了右下角窗口广告拦截,会将我们客户端键盘精灵当做广告进行拦截,导致软件出现不好用的情形,暂时去掉勾选广告拦截会恢复正常. 打开360杀毒-&gt;设置-&gt;实时防护设置- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42K2YM.html" rel="bookmark" class="title">谈笑风生组件化</a>
					<div>
						在当今的前端开发领域,大红大紫的组件化开发如万人空巷,前端技术圈中关于组件化讨论的文章亦如汗牛充栋.然而别人的理解终归是别人的,作为一个胸存小志的开发者,我还是希望能够根据自己的理解和实际工作,总结自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkj36b.html" rel="bookmark" class="title">js仿百度切换皮肤功能（html&plus;css）&lowbar;javascript技巧</a>
					<div>
						js仿百度切换皮肤效果:(换肤出来一个div,选择你想要的图片,作为网页背景,保存)  要点:cookie保存状态 html代码: &lt;body&gt; &lt;div id=&quot;head ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrWqGM.html" rel="bookmark" class="title">iOS开发之退出功能（易错）</a>
					<div>
						如果,我们有两个控制器,第一个控制器是MainController,它是与Main.storyboard相关联的.第二个控制器是myController.假设myController中有一个退出按钮, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My30XJz.html" rel="bookmark" class="title">如何将设计与构建结合</a>
					<div>
						设计与构建:构建的趋势与现状.Css3新特性:分两部分,新特性和实例部分 1.效果图与页面的差异: 1)内核小常识分享 主流内核: Trident内核:IE,MaxThon,TT,The World, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRGRVz.html" rel="bookmark" class="title">Linux中强大且常用命令：find、grep</a>
					<div>
						在linux下面工作,有些命令能够大大提高效率.本文就向大家介绍find.grep命令,他哥俩可以算是必会的linux命令,我几乎每天都要用到他们.本文结构如下: find命令 find命令的一般形式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRXyjz.html" rel="bookmark" class="title">【C&sol;C&plus;&plus;学院】0828-数组与指针&sol;内存分配&sol;数据结构数组接口与封装</a>
					<div>
						[送给在路上的程序员] 对于一个开发者而言,能够胜任系统中任意一个模块的开发是其核心价值的体现. 对于一个架构师而言,掌握各种语言的优势并可以运用到系统中,由此简化系统的开发,是其架构生涯的第一步.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGER8lM.html" rel="bookmark" class="title">H264的RTP负载打包的数据包格式&comma;分组&comma;分片</a>
					<div>
						H264的RTP负载打包的数据包格式,分组,分片   1.    RTP数据包格式 RTP报文头格式(见RFC3550 Page12):     0 1 2 3 4 5 6 7 8 9 0 1 2 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqoKjz.html" rel="bookmark" class="title">C&plus;&plus;的头文件和实现文件分别写什么</a>
					<div>
						在C++编程过程中,随着项目的越来越大,代码也会越来越多,并且难以管理和分析.于是,在C++中就要分出了头(.h)文件和实现(.cpp)文件,并且也有了Package的概念. 对于以C起步,C#作为& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd7GJb.html" rel="bookmark" class="title">关于datagridview绑定IList对象的一个典型问题&excl;期待大虾们从此Over它&period;&period;</a>
					<div>
						问题描述 大家好!我想用datagridview绑定一个IList&lt;Item&gt;对象,但遇到以下几个问题:1.datagridview直接绑定IList好呢,还是先绑定bindingSour ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA8n2M.html" rel="bookmark" class="title">什么是算法的复杂度？</a>
					<div>
						算法复杂度分为时间复杂度和空间复杂度.下面摘录其含义: 时间复杂度: 时间复杂度是指执行算法所需要的计算工作量. 重点在其计算方法: 一个算法中的语句执行次数称为语句频度或时间频度.记为T(n). 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rkq8z.html" rel="bookmark" class="title">ThinkPHP 3&period;1快速入门：文件上传</a>
					<div>
						获取上传类 ThinkPHP的扩展中提供了文件上传类库Uploadhttp://www.aliyun.com/zixun/aggregation/19352.html&quot;&gt;File,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo2W8M.html" rel="bookmark" class="title">Net 音频文件上传和播放代码</a>
					<div>
						public static string GetFlashText(string url) { string str = @&quot;&lt;object id='MediaPlayer' clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgmX5M.html" rel="bookmark" class="title">图解 Java IO &colon; 二、FilenameFilter源码</a>
					<div>
						更具体地说,这是一个策略模式的例子,因为list()实现了基本功能,而按着形式提供了这个策略,完善list()提供服务所需的算法. java.io.FilenameFilter是文件名过滤器接口,即过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQNxKp.html" rel="bookmark" class="title">Map&period;putAll方法&mdash;&mdash;追加另一个Map对象到当前Map集合&lpar;转&rpar;</a>
					<div>
						该方法用来追加另一个Map对象到当前Map集合对象,它会把另一个Map集合对象中的所有内容添加到当前Map集合对象. 语法  putAll(Map&lt;? extends K,? extends V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RVB6z.html" rel="bookmark" class="title">Loadrunner的自我摸索&mdash;LoadRunner12的下载与安装</a>
					<div>
						最近做了一段时间的手机端性能测试,发现性能测试还是挺好玩的,决定要学一下LoadRunner12.毕竟前台的很多性能数据都受后台影响.以后会持续更新LoadRunner自学过程中遇到的问题.解决办法以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyelmz.html" rel="bookmark" class="title">《R语言数据分析》&mdash;&mdash;2&period;4　从其他在线来源获取数据</a>
					<div>
						本节书摘来自华章出版社&lt;R语言数据分析&gt;一书中的第2章,第2.4节,作者盖尔盖伊·道罗齐(Gergely Daróczi),潘怡 译,更多章节内容可以访问&quot;华章计算机&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QBjAp.html" rel="bookmark" class="title">什么UML建模工具能将现有的C&num;代码生成UML图</a>
					<div>
						问题描述 请问:有没有什么易用的UML建模工具,能够将现有的C#代码逆向为UML图?~ 解决方案 解决方案二:大部分UML工具都支持生成代码,不过要看你的UML图设计详细到什么程度别指望现在的系统能做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Bq4b.html" rel="bookmark" class="title">更改PropertyGrid&comma;自定义编辑器&comma;显示属性的信息</a>
					<div>
						问题描述 下面这个属性是个名称为BackBitmapDefinition的结构体,默认显示的是&quot;库+控件基类+BackBitmapDefinition&quot;,PublicOverrid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8k5Wp.html" rel="bookmark" class="title">最近学习很迷茫！</a>
					<div>
						问题描述 我是广东一名软件开发专业大三的学生,最近学习很迷茫!主要有几个大的问题1.最近很多人都在报考程序员考试,我觉得这个很耗费时间和精力,而且不知道对于就业会有多少帮助?2.我现在主要是在学C#方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Bwab.html" rel="bookmark" class="title">如何实现短信猫到物联网节点的数据收发</a>
					<div>
						问题描述 如上,希望能够在浏览器端调用短信发送javaAPI通过短信猫发送查询指令给无线传感器节点,节点收到指令后回馈给短信猫所需数据,最后在浏览器显示.现在没有思路,还请大牛指点 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm1YJb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;VR＋医疗&rdquo;更好的创造&OpenCurlyDoubleQuote;智慧医疗&rdquo;医疗模式</a>
					<div>
						VR在我们生活中还是比较常见的,接触最多的好时3D虚拟眼镜,智慧医疗仪器也将更好的结合VR.现在的vr越来越普遍,3dvr电视尤为火爆,一些科幻电影就需要vr眼镜才能到达那种身临其境的感觉.vr的应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqLoJb.html" rel="bookmark" class="title">javascript日历插件</a>
					<div>
						原文:javascript日历插件 javascript日历插件       最近在尝试着写javascript日历插件,所以也到github上看国外人日历源码,或者国内人写的好点的,也在研究点,虽然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wn1rz.html" rel="bookmark" class="title">如何在VS2013中进行Boost单元测试</a>
					<div>
						对于如何在VS2013中进行Boost单元测试,这方面资料太少.自己也因此走了不少弯路.下文将会阐述一下如何在VS2013中进行Boost单元测试. 在开始Boost单元测试之前,我们需要先安装VS2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyrvOM.html" rel="bookmark" class="title">企业ERP实施规划十大要点</a>
					<div>
						一.管理人员观念的更新 既然http://www.aliyun.com/zixun/aggregation/29808.html&quot;&gt;ERP系统是管理信息系统,实施过程一定要结合企业管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB1nRb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;Skr璇璇&rdquo;在网上晒出了最让她难忘的情人节</a>
					<div>
						这个情人节,虽然没有鲜花,没有红酒,但是她笑称,老公所送来的卡萨帝冰箱是对于她这个&quot;吃货&quot;来说却是最大的感动.近日,记者看到众多网友参加了卡萨帝于3月7日发起的&quot;驰名商标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnOAJKz.html" rel="bookmark" class="title">钉钉3&period;0定义产品价值 打通企业内外连接</a>
					<div>
						版本更新,钉钉3.0在统一通讯和工作商务关系基础上,提升企业基于云和移动互联网的内外协同能力. 钉钉3.0版本推出的外部联系人.服务窗.业务往来等功能实现了企业与外部更好的连接,帮助企业提升沟通.协同 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
